Author Topic: Upgrade von PHP?  (Read 654 times)

Offline nailstudiowebsite

  • Posts: 27
Upgrade von PHP?
« on: January 08, 2017, 01:21:13 PM »
Hey leuts,

Ich habe versucht meine Homepage zu aktualisieren von 2.8.1 auf die aktuelle Version.

Jetzt habe ich einerseits beim ftp, viele Dateien die nicht übertragen wurden wegen des Fehlers: 550 /httpdocs/templates/simple_responsive/js/flexslider/images: No such file or directory
und vielen ähnlichen Fehlermeldungen.

Andererseits wenn ich nun meinedomain.ch/admin aufrufe die Meldung

PHP-5.3.3 found, but at last PHP-5.3.6 required !!

Was kann ich nun genau unternehmen das mein Upgrade klappt?

LG Jonny

Offline jacobi22

  • Posts: 5865
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: Upgrade von PHP?
« Reply #1 on: January 08, 2017, 03:59:32 PM »
die Theorie besagt

du mußt mit einer PHP-Version kleiner als PHP 5.5.x erst auf WB 2.8.3 Rev 1611 upgraden, dann diese Version mit einer PHP-Version größer PHP 5.3.6 auf WB 2.8.3 SP6 oder WB 2.8.3 SP7 upgraden.

Ab SP6 kannst du zu 99,9% mit dem Paket unter PHP 7 arbeiten, ab SP7 zu 100%

Viele Leute haben ihre Upgrades über die Jahre vernachlässigt, weil es ja immer noch lief, aber seit der Abschaltung von PHP 5.5.x laufen diese Installationen nicht mehr, weil u.a. die alte Methode mysql_.... nicht mehr gültig ist in PHP

Unter Umständen kann es schneller und sicherer sein, ein Projekt gleich neu mit der aktuellsten WB-Version zu erstellen
Wer nicht will, findet Gründe, wer will, findet Wege.

Offline nailstudiowebsite

  • Posts: 27
Re: Upgrade von PHP?
« Reply #2 on: January 08, 2017, 04:04:05 PM »
Hallo Jacobi, nach langem rumdoktern ist die Seite nun down, ich habe ein Rollback versucht jedoch wurden gewisse Daten nicht geschrieben aufgrund nichtvorhandener Verzeichnisse hiess es.. Evtl auch weil keine adminrechte

Auf jedenfall muss ich nun mal meinen Webmaster kontaktieren bevor es weiter gehen kann :|
« Last Edit: January 08, 2017, 07:23:58 PM by DarkViper »

 

postern-length